/*
Theme Name: Ciliconchip Child
Theme URI: https://yourwebsite.com
Description: Child Theme for Ciliconchip
Author: Your Name
Author URI: https://yourwebsite.com
Template: ciliconchip
Version: 1.0.0
Text Domain: ciliconchip-child
*/

/* Add your custom CSS below this line */
/*Roboto Font-family*/

@font-face {
    font-family: 'Roboto';
    src: url('https://zinavo-clientupdates.in/raja/ciliconchip/wp-content/themes/ciliconchip-child/fonts/Roboto-Regular.woff2') format('woff2');
    font-weight: 400;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Roboto';
    src: url('https://zinavo-clientupdates.in/raja/ciliconchip/wp-content/themes/ciliconchip-child/fonts/Roboto-Medium.woff2') format('woff2');
    font-weight: 500;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Roboto';
    src: url('https://zinavo-clientupdates.in/raja/ciliconchip/wp-content/themes/ciliconchip-child/fonts/Roboto-SemiBold.woff2') format('woff2');
    font-weight: 600;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Roboto';
    src: url('https://zinavo-clientupdates.in/raja/ciliconchip/wp-content/themes/ciliconchip-child/fonts/Roboto-Bold.woff2') format('woff2');
    font-weight: 700;
    font-style: normal;
    font-display: swap;
}

/*Inter Font-family*/
@font-face {
    font-family: 'Inter';
    src: url('https://zinavo-clientupdates.in/raja/ciliconchip/wp-content/themes/ciliconchip-child/fonts/Inter-Regular.woff2') format('woff2');
    font-weight: 400;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Inter';
    src: url('https://zinavo-clientupdates.in/raja/ciliconchip/wp-content/themes/ciliconchip-child/fonts/Inter-Medium.woff2') format('woff2');
    font-weight: 500;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Inter';
    src: url('https://zinavo-clientupdates.in/raja/ciliconchip/wp-content/themes/ciliconchip-child/fonts/Inter-SemiBold.woff2') format('woff2');
    font-weight: 600;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Inter';
    src: url('https://zinavo-clientupdates.in/raja/ciliconchip/wp-content/themes/ciliconchip-child/fonts/Inter-Bold.woff2') format('woff2');
    font-weight: 700;
    font-style: normal;
    font-display: swap;
}
html,body{
	overflow-x:hidden !important;
}
body,
.elementor-widget-text-editor,
.elementor-widget-heading,
.elementor-button,
.elementor-widget-icon-list{
    font-family: 'Inter', sans-serif;
}

h1,h2,h3,h4,h5,h6,
.elementor-heading-title{
    font-family: 'Roboto', sans-serif;
}

.status-publish .entry-title{
	display:none;
}
.page-template-default .widget-area{
	display:none;
}
.page-template-default .site-footer{
	display:none;
}
.page-template-default .entry-footer{
	display:none;
}
.hero-banner{
	background: linear-gradient(135deg, #1e2229 0%, #2d323e 100%);
}
.page-content, .entry-content, .entry-summary {
    margin: 0em 0 0;
}
.about-card{
	    background: linear-gradient(135deg, #20232a 0%, #55585d 100%);
    padding: 40px !important;
    border-radius: 6px !important;
    color: #fff;
    box-shadow: 0 10px 25px rgba(0, 0, 0, 0.1);
}
.about-card1{
	    background: linear-gradient(135deg, #20232a 0%, #55585d 100%);
    padding: 20px !important;
    border-radius: 6px !important;
    color: #fff;
    box-shadow: 0 10px 25px rgba(0, 0, 0, 0.1);
}
.offer-head::after {
    content: '';
    display: block;
    width: 50px;
    height: 3px;
    background-color: #ff5d00;
    margin: 15px auto 0 auto;
}
.pillar-card{
	    background: #f5f7fa;
    border: 1px solid #edf2f7;
    border-radius: 6px !important;
    padding: 30px !important;
    vertical-align: top;
    transition: all 0.3s ease;
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.02);
    position: relative;
}
.pillar-card:hover {
    transform: translateY(-5px);
    box-shadow: 0 12px 25px rgba(0, 0, 0, 0.08);
    border-color: #ff5d00;
}
.services-grid{
    display:grid;
    grid-template-columns:repeat(3,1fr);
    gap:20px;
}
.service-card{
    background: #fff;
    border: 1px solid #edf2f7;
    border-radius: 6px;
    padding: 30px;
    vertical-align: top;
    transition: all 0.3s ease;
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.02);
    position: relative;
}
.service-card:hover{
    transform: translateY(-5px);
    box-shadow: 0 12px 25px rgba(0, 0, 0, 0.08);
    border-color: #ff5d00;
}
.card-number{
    width: 50px;
    height: 50px;
    background-color: #fff1eb;
    border-radius: 4px;
    margin-bottom: 20px;
    text-align: center;
    vertical-align: middle;
    line-height: 50px;
    padding: 10px;
    font-size: 22px;
    color: #ff5d00;
    font-weight: bold;
}
.service-card h3{
        font-size: 18px;
    color: #20232a;
    margin-bottom: 12px;
    font-weight: 600;
}
.service-card p{
        color: #64748b;
    font-size: 13.5px;
    margin-bottom: 15px;
}
.service-card a{
    font-size: 13px;
    font-weight: 600;
    color: #ff5d00;
    display: inline-block;
    transition:.3s;
}
.service-card a:hover{
    letter-spacing:1px;
}
.leadership-grid{
    display:grid;
    grid-template-columns:repeat(3,1fr);
    gap:20px;
}
.leader-card{
    background: #fff;
    border: 1px solid #edf2f7;
    border-radius: 6px;
    padding: 30px;
    vertical-align: top;
    transition: all 0.3s ease;
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.02);
    position: relative;
}
.leader-card:hover{
    transform: translateY(-5px);
    box-shadow: 0 12px 25px rgba(0, 0, 0, 0.08);
    border-color: #ff5d00;
}
.leader-card h3{
    font-size: 18px;
    color: #20232a;
    margin-bottom: 5px;
    font-weight: 600;
    text-align: center;
}
.leader-card img {
    border-radius: 6px;
    height: 300px;
	text-align:center;
	margin: 0 auto;
    display: flex;
}
.designation{
        color: #ff5d00;
    font-weight: 600;
    font-size: 13px;
    display: block;
    text-align: center;
    margin-bottom: 15px;
    text-transform: uppercase;
}
.leader-card p{
   color: #64748b;
   text-align: justify;
    font-size: 15px;
    margin-bottom: 15px
}
.post, .page {
    margin-bottom:0px !important;
}
.hero-banner{
	background: linear-gradient(135deg, #1e2229 0%, #2d323e 100%);
}
.ind-card1{
	 transition: all 0.3s ease;
	border: 1px solid #fff;
}
.ind-card1:hover{
    transform: translateY(-5px);
    box-shadow: 0 12px 25px rgba(0, 0, 0, 0.08);
	border-color:#ff5d00;
}
.banner{
    position:relative;
    width:100%;
    min-height:50vh;
    background:#232936;
    overflow:hidden;
    display:flex;
    align-items:center;
    justify-content:center;
}

#circuit-bg{
    position:absolute;
    inset:0;
    width:100%;
    height:100%;
}

.circuit-path{
    fill:none;
    stroke:#D6D6D6;
    stroke-width:3;
    opacity:0.5;
}

.circuit-dot{
    fill:#D6D6D6;
    opacity:0.5;
}

.banner-content{
    position:relative;
    z-index:10;
    text-align:center;
}

.main-heading{
    margin:0;
    color:#FF5D00;
    font-size:48px;
    font-weight:700;
    letter-spacing:2px;
}

.pulse{
    fill:none;
    stroke:#FF5D00;
    stroke-width:4;
    stroke-linecap:round;
    stroke-dasharray:40 500;
    filter:
        drop-shadow(0 0 5px #FF5D00)
        drop-shadow(0 0 15px #FF5D00);
}
.pulse-1{animation:travel 4s linear infinite;}
.pulse-2{animation:travel 4.5s linear .8s infinite;}
.pulse-3{animation:travel 5s linear 1.2s infinite;}
.pulse-4{animation:travel 4.2s linear .5s infinite;}

@keyframes travel{
    0%{
        stroke-dasharray:0 300;
        stroke-dashoffset:0;
        opacity:0;
    }
    10%{
        opacity:1;
    }
    90%{
        opacity:1;
    }
    100%{
        stroke-dasharray:80 300;
        stroke-dashoffset:-300;
        opacity:0;
    }
}
.node-glow{
    fill:#FF5D00;
    filter:drop-shadow(0 0 10px #FF5D00);
    opacity:0;
}

.node-glow-1{animation:blink 4s infinite;}
.node-glow-2{animation:blink 4s .8s infinite;}
.node-glow-3{animation:blink 4s 1.2s infinite;}
.node-glow-4{animation:blink 4s .5s infinite;}

@keyframes blink{
    0%,100%{
        opacity:0;
    }
    50%{
        opacity:1;
    }
}






/* Tablet Responsive */
@media(max-width:990px){
    .services-grid{
    display:grid;
    grid-template-columns:repeat(2,1fr);
    gap:20px;
}
.banner {
    position: relative;
    width: 100%;
    min-height: 45vh;
    background: #232936;
    overflow: hidden;
    display: flex;
    align-items: center;
    justify-content: center;
}
.main-heading {
    margin: 0;
    color: #FF5D00;
    font-size: 35px;
    font-weight: 700;
    letter-spacing: 2px;
}
.leadership-grid{
    display:grid;
    grid-template-columns:1fr 1fr;
    gap:20px;
}
}

/* Mobile Responsive */
@media(max-width:600px){
        .services-grid{
    display:grid;
    grid-template-columns:1fr;
    gap:20px;
}
	    .leadership-grid{
    display:grid;
    grid-template-columns:1fr;
    gap:20px;
}
	
.main-heading{
    margin:0;
    color:#FF5D00;
    font-size:30px;
    font-weight:700;
    letter-spacing:2px;
}
.banner {
    position: relative;
    width: 100%;
    min-height: 40vh;
    background: #232936;
    overflow: hidden;
    display: flex;
    align-items: center;
    justify-content: center;
}

}

/* Contact Form Wrapper */
.contact-form{
    max-width: 385px;
}

/* Labels */
.contact-form label{
    display:block;
    font-size:16px;
    font-weight:600;
    color:#000;
    margin-bottom:8px;
}

/* Input Fields */
.contact-form input[type="text"],
.contact-form input[type="email"],
.contact-form input[type="tel"],
.contact-form select,
.contact-form textarea{
    width:100%;
    height:49px;
    padding:12px 15px;
    border:1px solid #000;
    border-radius:8px;
    background:#fff;
    font-size:15px;
    color:#000;
    box-shadow:none !important;
    outline:none;
    margin-bottom:20px;
}

/* Textarea */
.contact-form textarea{
    height:120px;
    resize:vertical;
}

/* Select */
.contact-form select{
    appearance:none;
    -webkit-appearance:none;
    -moz-appearance:none;
    cursor:pointer;
}

/* File Upload */
.contact-form input[type="file"]{
    margin:10px 0 20px;
    font-size:16px;
}

/* Submit Button */
.contact-form input[type="submit"]{
    background:#FF5D00;
    color:#fff;
    border:none;
    border-radius:30px;
    padding:12px 30px;
    font-size:15px;
    font-weight:500;
    cursor:pointer;
    transition:0.3s;
}

.contact-form input[type="submit"]:hover{
    background:#FF5D00;
}

/* Green Dot */
.contact-form .button{
    position:relative;
    display:inline-block;
}

.contact-form .button::after{
    content:"";
    width:10px;
    height:10px;
    background:#FF5D00;
    border-radius:50%;
    position:absolute;
    right:18px;
    top:50%;
    transform:translateY(-50%);
}
.contact-form p {
    margin: 0px !important;
}

/* CF7 Validation */
.wpcf7-not-valid{
    border:1px solid red !important;
}

.wpcf7-response-output{
    margin-top:15px !important;
}
/* Submit Button */
.contact-form input[type="submit"]{
    background:#FF5D00;
    color:#fff;
    border:none;
    border-radius:40px;
    padding:15px 60px 15px 30px;
    font-size:16px;
    font-weight:500;
    cursor:pointer;
    transition:all .4s ease;
    transform:scale(1);
}

/* Green Circle */
.contact-form .button{
    position:relative;
    display:inline-block;
}

.contact-form .button::after {
    content: "→";
    width: 35px;
    height: 35px;
    background: #000;
    border-radius: 50%;
    position: absolute;
    right: 90px;
    top: 50%;
    transform: translateY(-50%);
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 24px;
    color: #fff;
    transition: all .4s ease;
    opacity: 0;
}
.contact-form .button:hover::after{
	opacity:1;
}
.contact-form .button::before {
    content: "";
    position: absolute;
    background: #000;
    width: 15px;
    height: 15px;
    border-radius: 50%;
    right: 100px;
    z-index: 99;
    top: 16px;
}
.contact-form .button:hover::before{
	opacity:0;
}

/* Hover Effect */


.contact-form .button:hover::after{
    transform:translateY(-50%) scale(0.9);
}